Skip to main content
PUT
Update an automation rule of a v3 status page.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

statusPageId
string
required
ruleId
string
required

Body

application/json
name
string
required
Maximum string length: 255
firstUpdate
string
required

Body of the status update that opens the incident.

lastUpdate
string
required

Body of the status update that resolves the incident.

tags
string[]
required

A failing check matches when it, or its group, carries ANY of these tags.

Minimum array length: 1
enabled
boolean
default:true

A disabled rule never opens incidents.

notifySubscribers
boolean
default:true
coolDownWindowMinutes
integer
default:5

Minimum minutes after an automated incident before this rule may open the next one. 0 disables it.

Required range: 0 <= x <= 1440
components
object[]

Response

Successful

name
string
required
Maximum string length: 255
firstUpdate
string
required

Body of the status update that opens the incident.

lastUpdate
string
required

Body of the status update that resolves the incident.

tags
string[]
required

A failing check matches when it, or its group, carries ANY of these tags.

Minimum array length: 1
id
string
required
statusPageId
string
required
components
object[]
required
created_at
string<date>
required
enabled
boolean
default:true

A disabled rule never opens incidents.

notifySubscribers
boolean
default:true
coolDownWindowMinutes
integer
default:5

Minimum minutes after an automated incident before this rule may open the next one. 0 disables it.

Required range: 0 <= x <= 1440
incidentId
string | null
updated_at
string<date> | null